Add support for JPEG 2000 images
Closed, DeclinedPublic

Description

Author: broken.arrow

Description:
Image files with MIME-type image/jpeg2000 are not thumbnailed.

See also http://commons.wikimedia.org/wiki/Image:GT49.jpg

Both files can be read fine e.g. with Corel Photo-Paint 11.

This may be an imagemagick issue related to the jasper version installed on WMF sites, hence the shell keyword.


Version: 1.12.x
Severity: enhancement
URL: http://commons.wikimedia.org/wiki/Image:VIC_2_SECTION_%28Converted%29-1.jpg

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz11871.
bzimport created this task.Via LegacyNov 4 2007, 11:33 PM
brion added a comment.Via ConduitDec 5 2007, 8:03 PM

JPEG 2000 files should be uploaded as .jp2 or .j2k, not .jpg or .jpeg, as it's a different format from JPEG/JFIF.

Currently we don't support JPEG 2000 in MediaWiki, so functionality of such files will be hit-or-miss at best. (Nor do most browsers support it.)

hashar added a comment.Via ConduitAug 29 2008, 10:45 PM

Maybe we can render them as jpg using ImageMagick ?

bzimport added a comment.Via ConduitMar 19 2009, 6:03 PM

mike.lifeguard+bugs wrote:

Removed shell keyword as it seems there's nothing to do on shell.

Tgr added a comment.Via ConduitMay 11 2009, 11:46 PM

If the software cannot support JPEG 2000 images, why is uploading them permitted? It just confuses users, they think it's their fault that it does not show up.

Also, the image/jp2 mime type is currently not recognized, thus [[MediaWiki:Mediawarning]] is shown on the description page, confusing users even further.

brion added a comment.Via ConduitMay 12 2009, 12:57 AM

They're not permitted. They have a different file type extension which is not whitelisted, and should be recognized as a different file type which would not be uploadable on a wiki with default or Wikimedia's configuration.

The filtering appears to be a bit lax somewhere, though, since they apparently can get through if you mislabel the file extension.

I took the originally-referenced file and re-uploaded it to test for a sample: http://test.wikipedia.org/wiki/File:A_JPEG_2000_file.jpg

It's being correctly detected as image/jp2, but this shouldn't make it past upload...

brion added a comment.Via ConduitMay 15 2009, 12:14 AM

I'm closing this in case we really do want to add JPEG 2000 support in the future it can be reopened. :)

Bug 18803 now covers the uploading bug where you can upload the files as .jpg (at which point of course they don't work).

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:55 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 10:59 AM
reubot added a subscriber: reubot.Via WebSat, Feb 14, 12:26 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.